CacheLRU (Jakarta-ORO 2.0.8 API)
Date: 2019-09-02

org.apache.oro.util

## Class CacheLRU

- java.lang.Object
- - org.apache.oro.util.GenericCache
  - - org.apache.oro.util.CacheLRU

- All Implemented Interfaces:
    java.io.Serializable, Cache

      public final class CacheLRU
      extends GenericCache

  This class is a GenericCache subclass implementing an LRU (Least Recently Used) cache replacement policy. In other words, values are added to the cache until it becomes full. Once the cache is full, when a new value is added to the cache, it replaces the least recently used value currently in the cache. This is probably the best general purpose cache replacement policy.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `GenericCache`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.oro.util.GenericCache

      `DEFAULT_CAPACITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheLRU()` Same as:
    `CacheLRU(int capacity)` Creates a CacheLRU instance with a given cache capacity.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(java.lang.Object key, java.lang.Object value)` Adds a value to the cache.
    `java.lang.Object` | `getElement(java.lang.Object key)`

    - ### Methods inherited from class org.apache.oro.util.GenericCache

      `capacity, isFull, keys, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheLRU

          public CacheLRU(int capacity)

      Creates a CacheLRU instance with a given cache capacity.

      Parameters:
        `capacity` - The capacity of the cache.

    - #### CacheLRU

          public CacheLRU()

      Same as:

      >      CacheLRU(GenericCache.DEFAULT_CAPACITY);

  - ### Method Detail

    - #### getElement

          public java.lang.Object getElement(java.lang.Object key)

      Specified by:
        `getElement` in interface `Cache`
      Overrides:
        `getElement` in class `GenericCache`

    - #### addElement

          public final void addElement(java.lang.Object key,
                                       java.lang.Object value)

      Adds a value to the cache. If the cache is full, when a new value is added to the cache, it replaces the least recently used value in the cache (i.e., LRU).

      Specified by:
        `addElement` in interface `Cache`
      Specified by:
        `addElement` in class `GenericCache`
      Parameters:
        `key` - The key referencing the value added to the cache.
        `value` - The value to add to the cache.

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.